# Class CIM_PCIPortGroup
extends CIM_LogicalPortGroup

A collection of one or more PCI device ports.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_LogicalPortGroup
|
+--CIM_PCIPortGroup

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A collection of one or more PCI device ports.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BusNumber | uint8 |
Description | string | The bus number shared by the PCI device ports.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection
Name | string | CIM_LogicalPortGroup
NameFormat | string | CIM_LogicalPortGroup
OtherNameFormat | string | CIM_LogicalPortGroup

## Class Methods